Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 139268 - Please add a little more data to quicksearch
Please add a little more data to quicksearch
Status: RESOLVED FIXED
Product: utilities
Classification: Unclassified
Component: Jump To
6.x
Sun All
: P2 with 1 vote (vote)
: 8.0.1
Assigned To: Tomas Zezula
issues@utilities
:
Depends on:
Blocks: 190512
  Show dependency treegraph
 
Reported: 2008-07-08 15:18 UTC by masvacaquecarnero
Modified: 2014-07-17 02:16 UTC (History)
5 users (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments
No way to tell these two appart (sorry, I can't show who I am working for) (8.04 KB, image/jpeg)
2008-07-08 15:25 UTC, masvacaquecarnero
Details

Note You need to log in before you can comment on or make changes to this bug.
Description masvacaquecarnero 2008-07-08 15:18:19 UTC
I must code in two projects, the trunk and a branch. Both have almost the same types, obviously. Whenever I quicksearch,
two entries of the same java type appear in the result box under "Go To Type". And there is no way to tell which belongs
to which project.

Add a third column with a little more information (like the project name) or anything else would be a great help.

Having said that. I think the quicksearch is THE killer feature. I spent five minutes and I am already loving it.
THANKS... you ROCK.
Comment 1 masvacaquecarnero 2008-07-08 15:25:15 UTC
Created attachment 64094 [details]
No way to tell these two appart (sorry, I can't show who I am working for)
Comment 2 David Simonek 2008-07-09 09:04:39 UTC
Passing to Go to type provider owners. However, there may not be enough space to show all that details, perhaps in
tooltip. We don't want to make QSearch window much wider AFAIK.
Comment 3 Max Sauer 2008-07-09 10:59:20 UTC
Actually, this is a bug in JavaType provider.
Comment 4 Max Sauer 2008-07-09 11:08:20 UTC
Sorry I changed the type. I'll fix the bug, and we can than discuss what shall be part of tooltip (Is filepath acceptable?)
Comment 5 David Simonek 2008-07-09 11:30:48 UTC
Note that QSearch infrastructure has bug too - it doesn't show what is returned from ItemResult.getHint anywhere. So
msauer please reassign to me after your part is done, thanks.
Comment 6 Max Sauer 2008-07-09 11:53:04 UTC
JavaType provider fix:
http://hg.netbeans.org/main/rev/f72bf3f79b56
Missing Tooltip:
http://hg.netbeans.org/main/rev/ce5e9003d385

Reassigning back to Dafe...
Comment 7 masvacaquecarnero 2008-07-09 12:32:57 UTC
Filepath would be my last option, since, at least in java projects, can be quite long. 
See
/export/homes/marcelo/NetBeansProjects/cantador-branch-stable/src/main/java/name/marcelomorales/cantador/CantadorBase.java
is a typical one and it is 123 in length. Also, the information I need is in the middle (cantador-branch-stable).
Comment 8 Lukas Hasik 2008-07-09 13:34:55 UTC
I'd vote for project name. Filepath may vary on different computers when the project name will stay the same
Comment 9 Max Sauer 2008-07-09 14:36:56 UTC
Re: lukas hasik: That wouldn't solve the initial trunk/branch problem -- the project names are equal in this case.
Comment 10 Quality Engineering 2008-07-09 15:43:02 UTC
Integrated into 'main-golden', available in NB_Trunk_Production #309 build
Changeset: http://hg.netbeans.org/main/rev/f72bf3f79b56
User: Max Sauer <msauer@netbeans.org>
Log: #139268: Please add a little more data to quicksearch
Comment 11 Ondrej Langr 2008-07-14 16:25:17 UTC
I would say the info displayed should be project name and filepath should be available via other means such as a
tooltip, as this use-case is not that common (current go to type dialog does not deal with it at all, AFAIK).
Comment 12 malfunction84 2008-11-19 17:38:01 UTC
I don't know about you guys, but I do use different project names for different branches.  One might be "My Project
(trunk)" and the other "My Project (dev)."  (I also don't store NetBeans-specific project files to the repository, so I
don't have to worry about that difference being committed or merged into the other branch.)  If the projects have the
same name, how do you tell them apart?

I think having the project name in the Quick Search result would be best.  At least then you have the option of renaming
one project to be able to differentiate the two types.
Comment 13 masvacaquecarnero 2009-02-13 15:50:11 UTC
> I think having the project name in the Quick Search result would be best.  At least then you have the option of renaming
> one project to be able to differentiate the two types.
+1

When it is a maven project, it would be nice to show the version as stated on the pomfile
Comment 14 markiewb 2012-12-17 18:52:45 UTC
Set target-milestone of open issue to TBD (was < 7.3, f.e. 6.8), so the issue doesn't get lost.
Comment 15 markiewb 2012-12-17 18:59:34 UTC
Set target-milestone of open issue to TBD (was < 7.3, f.e. 6.8), so the issue
doesn't get lost. This time the target milestone is really set.
Comment 16 Jaroslav Havlin 2013-10-14 14:20:30 UTC
This should be probably fixed in the QuickSearch SPI client
org.netbeans.modules.jumpto.quicksearch.JavaTypeSearchProvider.
Reassigning to "Jump To". Please evaluate. Thank you.
Comment 17 Tomas Zezula 2014-07-11 14:54:31 UTC
Fixed jet-main 854eb4c8725a
Comment 18 Quality Engineering 2014-07-17 02:16:44 UTC
Integrated into 'main-silver', will be available in build *201407170001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/854eb4c8725a
User: Tomas Zezula <tzezula@netbeans.org>
Log: #139268:Please add a little more data to quicksearch


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo